vector-0.10.0.1: Efficient Arrays

Portability | non-portable
Stability | experimental
Maintainer | Roman Leshchinskiy <rl@cse.unsw.edu.au>
Safe Haskell | None

Data.Vector.Internal.Check

Description

Bounds checking infrastructure

# Documentation

data Checks

Constructors

Bounds |
Unsafe |
Internal |

Instances

Eq Checks |

doChecks :: Checks -> Bool

error :: String -> Int -> String -> String -> a

internalError :: String -> Int -> String -> String -> a

check :: String -> Int -> Checks -> String -> String -> Bool -> a -> a

checkIndex :: String -> Int -> Checks -> String -> Int -> Int -> a -> a

checkLength :: String -> Int -> Checks -> String -> Int -> a -> a

checkSlice :: String -> Int -> Checks -> String -> Int -> Int -> Int -> a -> a